﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditPane.ascx.cs" Inherits="DNNspot.Tabs.EditPane" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx" %>
<div class="dnnFormItem">
    Title<br />
    <asp:TextBox ID="txtTitle" runat="server"></asp:TextBox>
    <asp:RequiredFieldValidator ID="rfvTitle" runat="server" ControlToValidate="txtTitle"
        ErrorMessage="*" CssClass="error"></asp:RequiredFieldValidator>
    <br />
    <br />
    Body<br />
    <dnn:TextEditor id="txtBody" runat="server" height="350" width="600" HtmlEncode="false">
    </dnn:TextEditor><br />
    <br />
    Visible<br />
    <asp:CheckBox ID="chkVisible" runat="server" Checked="true" /><br />
    <br />
    <asp:LinkButton ID="btnSave" runat="server" OnClick="btnSave_Click" CssClass="dnnPrimaryAction">Save</asp:LinkButton>
    
    |
    <asp:LinkButton ID="btnDelete" runat="server" OnClick="btnDelete_Click" CausesValidation="false"
        CssClass="dnnSecondaryAction" OnClientClick="return confirm('Are you sure you want to delete this Tab?');">Delete</asp:LinkButton>
    <asp:Literal ID="litSeparator" runat="server"> | </asp:Literal>
    <asp:LinkButton ID="btnCancel" runat="server" OnClick="btnCancel_Click" CausesValidation="false"
        CssClass="dnnSecondaryAction">Cancel</asp:LinkButton>
</div>
